mscorlib 2.0.0.0 4.0.0.0 System.Security.AccessControl.GenericAce

A object contains an ACE header and an opaque blob of data.

Represents an Access Control Entry (ACE) that is not defined by one of the members of the enumeration.

- Constructor
  2.0.0.0
  4.0.0.0

  The data is not cloned. The data should be cloned before calling this constructor if the caller does not trust the source of the data to not modify the data.

  Initializes a new instance of the class.

  Type of the new Access Control Entry (ACE). This value must be greater than .
  Flags that specify information about the inheritance, inheritance propagation, and auditing conditions for the new ACE.
  An array of byte values that contains the data for the new ACE. This value can be null. The length of this array must not be greater than the value of the field, and must be a multiple of four.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the length, in bytes, of the binary representation of the current object. This length should be used before marshaling the ACL into a binary array with the method.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Marshals the contents of the object into the specified byte array beginning at the specified offset.

  The byte array into which the contents of the is marshaled. The offset at which to start marshaling.
- Method
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added.

  Returns the opaque data associated with this object.

  An array of byte values that represents the opaque data associated with this object.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32 0 To be added.

  Returns the maximum allowed length of an opaque data blob for this object.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the length of the opaque data associated with this object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Sets the opaque callback data associated with this object.

  An array of byte values that represents the opaque callback data for this object.